# extract_abstract_code_functions function

(Shortest import: `from brian2.parsing.functions import extract_abstract_code_functions)`

brian2.parsing.functions.extract_abstract_code_functions(code)

  Returns a set of abstract code functions from function definitions.

  Returns all functions defined at the top level and ignores any other code in the string.

  Parameters:

    code : str

    > The code string defining some functions.

  Returns:

    funcs : dict

    > A mapping `(name, func)` for `func` an `AbstractCodeFunction`.